Package gov.nasa.gsfc.sscweb.schema

# Class FileDescription

java.lang.Object
gov.nasa.gsfc.sscweb.schema.FileDescription

public class FileDescription extends Object
Description of a file. <p>Java class for FileDescription complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="FileDescription"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="Length" type="{http://www.w3.org/2001/XMLSchema}long"/> <element name="LastModified" type="{http://www.w3.org/2001/XMLSchema}dateTime"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLGregorianCalendar`
  `lastModified`
  Time when the file was last modified.
  `protected long`
  `length`
  Length of file in bytes.
  `protected String`
  `mimeType`
  MIME type of file.
  `protected String`
  `name`
  Name of file (usually a URL).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileDescription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLGregorianCalendar`
  `getLastModified()`
  Time when the file was last modified.
  `long`
  `getLength()`
  Length of file in bytes.
  `String`
  `getMimeType()`
  MIME type of file.
  `String`
  `getName()`
  Name of file (usually a URL).
  `void`
  `setLastModified(XMLGregorianCalendar value)`
  Sets the value of the lastModified property.
  `void`
  `setLength(long value)`
  Sets the value of the length property.
  `void`
  `setMimeType(String value)`
  Sets the value of the mimeType property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name
    Name of file (usually a URL).

  - ### mimeType

    protected String mimeType
    MIME type of file.

  - ### length

    protected long length
    Length of file in bytes.

  - ### lastModified

    protected XMLGregorianCalendar lastModified
    Time when the file was last modified.

- ## Constructor Details

  - ### FileDescription

    public FileDescription()

- ## Method Details

  - ### getName

    public String getName()
    Name of file (usually a URL).
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getName()`

  - ### getMimeType

    public String getMimeType()
    MIME type of file.
    Returns:
      possible object is `String`

  - ### setMimeType

    public void setMimeType(String value)
    Sets the value of the mimeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMimeType()`

  - ### getLength

    public long getLength()
    Length of file in bytes.

  - ### setLength

    public void setLength(long value)
    Sets the value of the length property.

  - ### getLastModified

    public XMLGregorianCalendar getLastModified()
    Time when the file was last modified.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setLastModified

    public void setLastModified(XMLGregorianCalendar value)
    Sets the value of the lastModified property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`
    See Also:
      - `getLastModified()`